Saltar al contenido principal
PUT
/
v1
/
pix-automatico
/
authorizations
/
{idRecorrencia}
/
max-value
Actualizar el valor máximo de una autorización de Pix Automático
curl --request PUT \
  --url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/max-value \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "newPayerMaxAmount": 123
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/max-value"

payload = { "newPayerMaxAmount": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newPayerMaxAmount: 123})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/authorizations/{idRecorrencia}/max-value', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "idRecorrencia": "<string>",
  "requestedAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token JWT Bearer. Obtén el token desde el endpoint /v1/login/oauth/access_token usando credenciales de cliente (clientId y clientSecret).

Incluye el token en el encabezado Authorization: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

El token expira después de 3600 segundos (1 hora).

Parámetros de ruta

idRecorrencia
string
requerido

The recurrence id (29-char, RR...). El id de recurrencia (29 caracteres, RR...).

Cuerpo

application/json
newPayerMaxAmount
number<double>

Nuevo tope máximo del pagador en reales (novoVlrMaxPagador; omite/0 elimina el tope).

Respuesta

OK

idRecorrencia
string
requerido

El id de recurrencia.

requestedAt
string
requerido

Marca de tiempo de la solicitud en el upstream (marca de tiempo de la solicitud del upstream, UTC).